Package org.springframework.cloud.task.batch.listener

# Class BatchEventAutoConfiguration

java.lang.Object
org.springframework.cloud.task.batch.listener.BatchEventAutoConfiguration

@Configuration(proxyBeanMethods=false) @ConditionalOnClass(org.springframework.batch.core.Job.class) @ConditionalOnBean({org.springframework.batch.core.Job.class,TaskLifecycleListener.class}) @ConditionalOnProperty(prefix="spring.cloud.task.batch.events", name="enabled", havingValue="true", matchIfMissing=true) @AutoConfigureAfter(SimpleTaskAutoConfiguration.class) public class BatchEventAutoConfiguration extends Object
Autoconfigures Spring Batch listeners designed to emit events on the following channels.

- `EventEmittingJobExecutionListener` - job-execution-events
- `EventEmittingStepExecutionListener` - step-execution-events
- `ChunkListener` - chunk-events
- `EventEmittingItemReadListener` - item-read-events
- `EventEmittingItemProcessListener` - item-process-events
- `EventEmittingItemWriteListener` - item-write-events
- `EventEmittingSkipListener` - skip-events

Author:
  Michael Minella, Glenn Renfro, Ali Shahbour

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `BatchEventAutoConfiguration.JobExecutionListenerConfiguration`
  Configuration for Job Execution Listener.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CHUNK_EVENTS_LISTENER`
  Name of the chunk events listener bean.
  `static final String`
  `ITEM_PROCESS_EVENTS_LISTENER`
  Name of the item process events listener bean.
  `static final String`
  `ITEM_READ_EVENTS_LISTENER`
  Name of the item read events listener bean.
  `static final String`
  `ITEM_WRITE_EVENTS_LISTENER`
  Name of the item write events listener bean.
  `static final String`
  `JOB_EXECUTION_EVENTS_LISTENER`
  Name of the job execution events listener bean.
  `static final String`
  `SKIP_EVENTS_LISTENER`
  Name of the skip events listener bean.
  `static final String`
  `STEP_EXECUTION_EVENTS_LISTENER`
  Name of the step execution events listener bean.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchEventAutoConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskBatchEventListenerBeanPostProcessor`
  `batchTaskEventListenerBeanPostProcessor()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JOB_EXECUTION_EVENTS_LISTENER

    public static final String JOB_EXECUTION_EVENTS_LISTENER
    Name of the job execution events listener bean.
    See Also:
      - Constant Field Values

  - ### CHUNK_EVENTS_LISTENER

    public static final String CHUNK_EVENTS_LISTENER
    Name of the chunk events listener bean.
    See Also:
      - Constant Field Values

  - ### STEP_EXECUTION_EVENTS_LISTENER

    public static final String STEP_EXECUTION_EVENTS_LISTENER
    Name of the step execution events listener bean.
    See Also:
      - Constant Field Values

  - ### ITEM_READ_EVENTS_LISTENER

    public static final String ITEM_READ_EVENTS_LISTENER
    Name of the item read events listener bean.
    See Also:
      - Constant Field Values

  - ### ITEM_WRITE_EVENTS_LISTENER

    public static final String ITEM_WRITE_EVENTS_LISTENER
    Name of the item write events listener bean.
    See Also:
      - Constant Field Values

  - ### ITEM_PROCESS_EVENTS_LISTENER

    public static final String ITEM_PROCESS_EVENTS_LISTENER
    Name of the item process events listener bean.
    See Also:
      - Constant Field Values

  - ### SKIP_EVENTS_LISTENER

    public static final String SKIP_EVENTS_LISTENER
    Name of the skip events listener bean.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BatchEventAutoConfiguration

    public BatchEventAutoConfiguration()

- ## Method Details

  - ### batchTaskEventListenerBeanPostProcessor

    @Bean @ConditionalOnMissingBean public TaskBatchEventListenerBeanPostProcessor batchTaskEventListenerBeanPostProcessor()